# Generated by Django 2.0.6 on 2020-10-27 17:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('metabaseEditor', '0002_auto_20201027_1152'),
    ]

    operations = [
        migrations.CreateModel(
            name='Imported_data_tmp',
            fields=[
                ('id', models.CharField(max_length=255, primary_key=True, serialize=False)),
                ('type', models.CharField(choices=[('samples', 'samples'), ('extracts', 'extracts'), ('tubes', 'tubes'), ('plates', 'plates'), ('pcrs', 'pcrs'), ('project', 'project'), ('submission_file', 'submission_file'), ('controls', 'controls')], max_length=255)),
                ('key', models.CharField(max_length=255)),
                ('value', models.CharField(max_length=255)),
                ('parent', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='metabaseEditor.Imported_data_tmp')),
            ],
        ),
    ]
